## org.eclipse.ocl.types
Interface TypesPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  TypesPackageImpl

    public interface TypesPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `TypesFactory`

Nested Class Summary
`static interface` `TypesPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `ANY_TYPE` The meta object id for the '`Any Type`' class
`static int` `ANY_TYPE_FEATURE_COUNT` The number of structural features of the 'Any Type' class
`static int` `BAG_TYPE` The meta object id for the '`Bag Type`' class
`static int` `BAG_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference
`static int` `BAG_TYPE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `BAG_TYPE__KIND` The feature id for the 'Kind' attribute
`static int` `BAG_TYPE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `BAG_TYPE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `BAG_TYPE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `BAG_TYPE_FEATURE_COUNT` The number of structural features of the 'Bag Type' class
`static int` `COLLECTION_TYPE` The meta object id for the '`Collection Type`' class
`static int` `COLLECTION_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference
`static int` `COLLECTION_TYPE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `COLLECTION_TYPE__KIND` The feature id for the 'Kind' attribute
`static int` `COLLECTION_TYPE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `COLLECTION_TYPE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `COLLECTION_TYPE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `COLLECTION_TYPE_FEATURE_COUNT` The number of structural features of the 'Collection Type' class
`static String` `eCONTENT_TYPE` The package content type ID
`static TypesPackage` `eINSTANCE` The singleton instance of the package
`static int` `ELEMENT_TYPE` The meta object id for the '`Element Type`' class
`static int` `ELEMENT_TYPE_FEATURE_COUNT` The number of structural features of the 'Element Type' class
`static String` `eNAME` The package name
`static String` `eNS_PREFIX` The package namespace name
`static String` `eNS_URI` The package namespace URI
`static int` `INVALID_TYPE` The meta object id for the '`Invalid Type`' class
`static int` `INVALID_TYPE_FEATURE_COUNT` The number of structural features of the 'Invalid Type' class
`static int` `MESSAGE_TYPE` The meta object id for the '`Message Type`' class
`static int` `MESSAGE_TYPE__REFERRED_OPERATION` The feature id for the 'Referred Operation' reference
`static int` `MESSAGE_TYPE__REFERRED_SIGNAL` The feature id for the 'Referred Signal' reference
`static int` `MESSAGE_TYPE_FEATURE_COUNT` The number of structural features of the 'Message Type' class
`static int` `ORDERED_SET_TYPE` The meta object id for the '`Ordered Set Type`' class
`static int` `ORDERED_SET_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference
`static int` `ORDERED_SET_TYPE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `ORDERED_SET_TYPE__KIND` The feature id for the 'Kind' attribute
`static int` `ORDERED_SET_TYPE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `ORDERED_SET_TYPE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `ORDERED_SET_TYPE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `ORDERED_SET_TYPE_FEATURE_COUNT` The number of structural features of the 'Ordered Set Type' class
`static int` `PRIMITIVE_TYPE` The meta object id for the '`Primitive Type`' class
`static int` `PRIMITIVE_TYPE_FEATURE_COUNT` The number of structural features of the 'Primitive Type' class
`static int` `SEQUENCE_TYPE` The meta object id for the '`Sequence Type`' class
`static int` `SEQUENCE_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference
`static int` `SEQUENCE_TYPE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `SEQUENCE_TYPE__KIND` The feature id for the 'Kind' attribute
`static int` `SEQUENCE_TYPE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `SEQUENCE_TYPE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `SEQUENCE_TYPE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `SEQUENCE_TYPE_FEATURE_COUNT` The number of structural features of the 'Sequence Type' class
`static int` `SET_TYPE` The meta object id for the '`Set Type`' class
`static int` `SET_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference
`static int` `SET_TYPE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `SET_TYPE__KIND` The feature id for the 'Kind' attribute
`static int` `SET_TYPE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `SET_TYPE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `SET_TYPE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `SET_TYPE_FEATURE_COUNT` The number of structural features of the 'Set Type' class
`static int` `TUPLE_TYPE` The meta object id for the '`Tuple Type`' class
`static int` `TUPLE_TYPE_FEATURE_COUNT` The number of structural features of the 'Tuple Type' class
`static int` `TYPE_TYPE` The meta object id for the '`Type Type`' class
`static int` `TYPE_TYPE__REFERRED_TYPE` The feature id for the 'Referred Type' reference
`static int` `TYPE_TYPE_FEATURE_COUNT` The number of structural features of the 'Type Type' class
`static int` `VOID_TYPE` The meta object id for the '`Void Type`' class
`static int` `VOID_TYPE_FEATURE_COUNT` The number of structural features of the 'Void Type' class

Method Summary
`EClass` `getAnyType()` Returns the meta object for class '`Any Type`'
`EClass` `getBagType()` Returns the meta object for class '`Bag Type`'
`EReference` `getCollectionType_ElementType()` Returns the meta object for the reference '`Element Type`'
`EAttribute` `getCollectionType_Kind()` Returns the meta object for the attribute '`Kind`'
`EClass` `getCollectionType()` Returns the meta object for class '`Collection Type`'
`EClass` `getElementType()` Returns the meta object for class '`Element Type`'
`EClass` `getInvalidType()` Returns the meta object for class '`Invalid Type`'
`EReference` `getMessageType_ReferredOperation()` Returns the meta object for the reference '`Referred Operation`'
`EReference` `getMessageType_ReferredSignal()` Returns the meta object for the reference '`Referred Signal`'
`EClass` `getMessageType()` Returns the meta object for class '`Message Type`'
`EClass` `getOrderedSetType()` Returns the meta object for class '`Ordered Set Type`'
`EClass` `getPrimitiveType()` Returns the meta object for class '`Primitive Type`'
`EClass` `getSequenceType()` Returns the meta object for class '`Sequence Type`'
`EClass` `getSetType()` Returns the meta object for class '`Set Type`'
`EClass` `getTupleType()` Returns the meta object for class '`Tuple Type`'
`TypesFactory` `getTypesFactory()` Returns the factory that creates the instances of the model
`EReference` `getTypeType_ReferredType()` Returns the meta object for the reference '`Referred Type`'
`EClass` `getTypeType()` Returns the meta object for class '`Type Type`'
`EClass` `getVoidType()` Returns the meta object for class '`Void Type`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eCONTENT_TYPE

    static final String eCONTENT_TYPE

  The package content type ID.

  Since:
    1.3
  See Also:
    Constant Field Values

### eINSTANCE

    static final TypesPackage eINSTANCE

  The singleton instance of the package.

### ANY_TYPE

    static final int ANY_TYPE

  The meta object id for the '`Any Type`' class.

  See Also:
    `AnyTypeImpl`, `TypesPackageImpl.getAnyType()`, Constant Field Values

### ANY_TYPE_FEATURE_COUNT

    static final int ANY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Any Type' class.

  See Also:
    Constant Field Values

### COLLECTION_TYPE

    static final int COLLECTION_TYPE

  The meta object id for the '`Collection Type`' class.

  See Also:
    `CollectionTypeImpl`, `TypesPackageImpl.getCollectionType()`, Constant Field Values

### COLLECTION_TYPE__START_POSITION

    static final int COLLECTION_TYPE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__END_POSITION

    static final int COLLECTION_TYPE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__TYPE_START_POSITION

    static final int COLLECTION_TYPE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__TYPE_END_POSITION

    static final int COLLECTION_TYPE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__ELEMENT_TYPE

    static final int COLLECTION_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__KIND

    static final int COLLECTION_TYPE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE_FEATURE_COUNT

    static final int COLLECTION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Collection Type' class.

  See Also:
    Constant Field Values

### BAG_TYPE

    static final int BAG_TYPE

  The meta object id for the '`Bag Type`' class.

  See Also:
    `BagTypeImpl`, `TypesPackageImpl.getBagType()`, Constant Field Values

### BAG_TYPE__START_POSITION

    static final int BAG_TYPE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__END_POSITION

    static final int BAG_TYPE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__TYPE_START_POSITION

    static final int BAG_TYPE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__TYPE_END_POSITION

    static final int BAG_TYPE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__ELEMENT_TYPE

    static final int BAG_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### BAG_TYPE__KIND

    static final int BAG_TYPE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE_FEATURE_COUNT

    static final int BAG_TYPE_FEATURE_COUNT

  The number of structural features of the 'Bag Type' class.

  See Also:
    Constant Field Values

### ELEMENT_TYPE

    static final int ELEMENT_TYPE

  The meta object id for the '`Element Type`' class.

  See Also:
    `ElementTypeImpl`, `TypesPackageImpl.getElementType()`, Constant Field Values

### ELEMENT_TYPE_FEATURE_COUNT

    static final int ELEMENT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Element Type' class.

  See Also:
    Constant Field Values

### INVALID_TYPE

    static final int INVALID_TYPE

  The meta object id for the '`Invalid Type`' class.

  See Also:
    `InvalidTypeImpl`, `TypesPackageImpl.getInvalidType()`, Constant Field Values

### INVALID_TYPE_FEATURE_COUNT

    static final int INVALID_TYPE_FEATURE_COUNT

  The number of structural features of the 'Invalid Type' class.

  See Also:
    Constant Field Values

### MESSAGE_TYPE

    static final int MESSAGE_TYPE

  The meta object id for the '`Message Type`' class.

  See Also:
    `MessageTypeImpl`, `TypesPackageImpl.getMessageType()`, Constant Field Values

### MESSAGE_TYPE__REFERRED_OPERATION

    static final int MESSAGE_TYPE__REFERRED_OPERATION

  The feature id for the 'Referred Operation' reference.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__REFERRED_SIGNAL

    static final int MESSAGE_TYPE__REFERRED_SIGNAL

  The feature id for the 'Referred Signal' reference.

  See Also:
    Constant Field Values

### MESSAGE_TYPE_FEATURE_COUNT

    static final int MESSAGE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Message Type' class.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE

    static final int ORDERED_SET_TYPE

  The meta object id for the '`Ordered Set Type`' class.

  See Also:
    `OrderedSetTypeImpl`, `TypesPackageImpl.getOrderedSetType()`, Constant Field Values

### ORDERED_SET_TYPE__START_POSITION

    static final int ORDERED_SET_TYPE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__END_POSITION

    static final int ORDERED_SET_TYPE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__TYPE_START_POSITION

    static final int ORDERED_SET_TYPE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__TYPE_END_POSITION

    static final int ORDERED_SET_TYPE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__ELEMENT_TYPE

    static final int ORDERED_SET_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__KIND

    static final int ORDERED_SET_TYPE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE_FEATURE_COUNT

    static final int ORDERED_SET_TYPE_FEATURE_COUNT

  The number of structural features of the 'Ordered Set Type' class.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE

    static final int PRIMITIVE_TYPE

  The meta object id for the '`Primitive Type`' class.

  See Also:
    `PrimitiveTypeImpl`, `TypesPackageImpl.getPrimitiveType()`, Constant Field Values

### PRIMITIVE_TYPE_FEATURE_COUNT

    static final int PRIMITIVE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Primitive Type' class.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE

    static final int SEQUENCE_TYPE

  The meta object id for the '`Sequence Type`' class.

  See Also:
    `SequenceTypeImpl`, `TypesPackageImpl.getSequenceType()`, Constant Field Values

### SEQUENCE_TYPE__START_POSITION

    static final int SEQUENCE_TYPE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__END_POSITION

    static final int SEQUENCE_TYPE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__TYPE_START_POSITION

    static final int SEQUENCE_TYPE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__TYPE_END_POSITION

    static final int SEQUENCE_TYPE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__ELEMENT_TYPE

    static final int SEQUENCE_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__KIND

    static final int SEQUENCE_TYPE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE_FEATURE_COUNT

    static final int SEQUENCE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Sequence Type' class.

  See Also:
    Constant Field Values

### SET_TYPE

    static final int SET_TYPE

  The meta object id for the '`Set Type`' class.

  See Also:
    `SetTypeImpl`, `TypesPackageImpl.getSetType()`, Constant Field Values

### SET_TYPE__START_POSITION

    static final int SET_TYPE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__END_POSITION

    static final int SET_TYPE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__TYPE_START_POSITION

    static final int SET_TYPE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__TYPE_END_POSITION

    static final int SET_TYPE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__ELEMENT_TYPE

    static final int SET_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### SET_TYPE__KIND

    static final int SET_TYPE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### SET_TYPE_FEATURE_COUNT

    static final int SET_TYPE_FEATURE_COUNT

  The number of structural features of the 'Set Type' class.

  See Also:
    Constant Field Values

### TUPLE_TYPE

    static final int TUPLE_TYPE

  The meta object id for the '`Tuple Type`' class.

  See Also:
    `TupleTypeImpl`, `TypesPackageImpl.getTupleType()`, Constant Field Values

### TUPLE_TYPE_FEATURE_COUNT

    static final int TUPLE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Tuple Type' class.

  See Also:
    Constant Field Values

### TYPE_TYPE

    static final int TYPE_TYPE

  The meta object id for the '`Type Type`' class.

  See Also:
    `TypeTypeImpl`, `TypesPackageImpl.getTypeType()`, Constant Field Values

### TYPE_TYPE__REFERRED_TYPE

    static final int TYPE_TYPE__REFERRED_TYPE

  The feature id for the 'Referred Type' reference.

  See Also:
    Constant Field Values

### TYPE_TYPE_FEATURE_COUNT

    static final int TYPE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Type Type' class.

  See Also:
    Constant Field Values

### VOID_TYPE

    static final int VOID_TYPE

  The meta object id for the '`Void Type`' class.

  See Also:
    `VoidTypeImpl`, `TypesPackageImpl.getVoidType()`, Constant Field Values

### VOID_TYPE_FEATURE_COUNT

    static final int VOID_TYPE_FEATURE_COUNT

  The number of structural features of the 'Void Type' class.

  See Also:
    Constant Field Values

Method Detail

### getAnyType

    EClass getAnyType()

  Returns the meta object for class '`Any Type`'.

  Returns:
    the meta object for class 'Any Type'.
  See Also:
    `AnyType`

### getBagType

    EClass getBagType()

  Returns the meta object for class '`Bag Type`'.

  Returns:
    the meta object for class 'Bag Type'.
  See Also:
    `BagType`

### getCollectionType

    EClass getCollectionType()

  Returns the meta object for class '`Collection Type`'.

  Returns:
    the meta object for class 'Collection Type'.
  See Also:
    `CollectionType`

### getCollectionType_ElementType

    EReference getCollectionType_ElementType()

  Returns the meta object for the reference '`Element Type`'.

  Returns:
    the meta object for the reference 'Element Type'.
  See Also:
    `CollectionType.getElementType()`, `getCollectionType()`

### getCollectionType_Kind

    EAttribute getCollectionType_Kind()

  Returns the meta object for the attribute '`Kind`'.

  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `CollectionType.getKind()`, `getCollectionType()`

### getElementType

    EClass getElementType()

  Returns the meta object for class '`Element Type`'.

  Returns:
    the meta object for class 'Element Type'.
  See Also:
    `ElementType`

### getInvalidType

    EClass getInvalidType()

  Returns the meta object for class '`Invalid Type`'.

  Returns:
    the meta object for class 'Invalid Type'.
  See Also:
    `InvalidType`

### getMessageType

    EClass getMessageType()

  Returns the meta object for class '`Message Type`'.

  Returns:
    the meta object for class 'Message Type'.
  See Also:
    `MessageType`

### getMessageType_ReferredOperation

    EReference getMessageType_ReferredOperation()

  Returns the meta object for the reference '`Referred Operation`'.

  Returns:
    the meta object for the reference 'Referred Operation'.
  See Also:
    `MessageType.getReferredOperation()`, `getMessageType()`

### getMessageType_ReferredSignal

    EReference getMessageType_ReferredSignal()

  Returns the meta object for the reference '`Referred Signal`'.

  Returns:
    the meta object for the reference 'Referred Signal'.
  See Also:
    `MessageType.getReferredSignal()`, `getMessageType()`

### getOrderedSetType

    EClass getOrderedSetType()

  Returns the meta object for class '`Ordered Set Type`'.

  Returns:
    the meta object for class 'Ordered Set Type'.
  See Also:
    `OrderedSetType`

### getPrimitiveType

    EClass getPrimitiveType()

  Returns the meta object for class '`Primitive Type`'.

  Returns:
    the meta object for class 'Primitive Type'.
  See Also:
    `PrimitiveType`

### getSequenceType

    EClass getSequenceType()

  Returns the meta object for class '`Sequence Type`'.

  Returns:
    the meta object for class 'Sequence Type'.
  See Also:
    `SequenceType`

### getSetType

    EClass getSetType()

  Returns the meta object for class '`Set Type`'.

  Returns:
    the meta object for class 'Set Type'.
  See Also:
    `SetType`

### getTupleType

    EClass getTupleType()

  Returns the meta object for class '`Tuple Type`'.

  Returns:
    the meta object for class 'Tuple Type'.
  See Also:
    `TupleType`

### getTypeType

    EClass getTypeType()

  Returns the meta object for class '`Type Type`'.

  Returns:
    the meta object for class 'Type Type'.
  See Also:
    `TypeType`

### getTypeType_ReferredType

    EReference getTypeType_ReferredType()

  Returns the meta object for the reference '`Referred Type`'.

  Returns:
    the meta object for the reference 'Referred Type'.
  See Also:
    `TypeType.getReferredType()`, `getTypeType()`

### getVoidType

    EClass getVoidType()

  Returns the meta object for class '`Void Type`'.

  Returns:
    the meta object for class 'Void Type'.
  See Also:
    `VoidType`

### getTypesFactory

    TypesFactory getTypesFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.